module.exports = {
  create: {
    requestBody: [
      "room_id",
      "password",
      "room_phone",
      "title",
      "desc",
      "start_time",
      "end_time",
      "join_end",
      "user_id",
      "province",
      "file_path",
      "place",
      "user_id",
      "adminuser",
      "phone",
      "passwd",
      "vipuser",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "room_phone",
      "title",
      "desc",
      "status",
      "start_time",
      "end_time",
      "join_end",
      "province",
      "place",
      "file_path",
      "adminuser",
      "phone",
      "passwd",
      "vipuser",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: [
        "room_phone",
        "room_id",
        "title",
        "desc",
        "start_time",
        "end_time",
        "join_end",
        "user_id",
        "status",
        "province",
        "place",
        "adminuser",
        "phone",
      ],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  apply: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "user_name",
      "buyer",
      "contact",
      "contact_tel",
      "email",
      "role",
      "company",
    ],
    service: "apply",
  },
  goods: {
    params: ["!id"],
    requestBody: [
      "totaltype",
      "name",
      "product_type_id",
      "introduction",
      "phase",
      "price",
      "priceunit",
      "image",
      "field",
      "scope",
      "coopermode",
      "business",
      "budget",
      "end_date",
      "difficult_problem",
      "demand",
      "company",
      "address",
      "mature",
      "team",
      "property",
      "mature",
      "coopercompany",
      "other",
      "contact_user",
      "contact_tel",
    ],
    service: "goods",
  },

  check: {
    params: ["!id", "!dock_id"],
    requestBody: ["status"],
    service: "check",
  },
  // dockCheck: {
  //   params: ["!id"],
  //   requestBody: ["is_allowed", "reason"],
  //   service: "dockCheck",
  // },
};
